#############################################
#### This Makefile builds of d2Bdm ####
#############################################

CC=gcc
CFLAGS=-c -Wall -ggdb -g -O0 -I ../include -I ../../discovery_service/include -I ../../libBridgeCommon/inc

LDFLAGS=-L../../libBridgeCommon/src 
LIBS=-lm -lpthread -lrt -lBridgeCommon -lzmq 
SOURCES=getSetWW.c

OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=getSetWW
DEPS=

all: $(SOURCES) $(EXECUTABLE)
	rm -f *.o 

$(EXECUTABLE): $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) -o $@ $(LIBS)

.c.o:  $(DEPS)
	$(CC) $(CFLAGS) $< -o $@


clean:
	rm -f *.o *.*~ $(EXECUTABLE) *~ 
